Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 2300)
+++ palm/trunk/SOURCE/check_open.f90	(revision 2512)
@@ -25,4 +25,9 @@
 ! -----------------
 ! $Id$
+! upper bounds of cross section and 3d output changed from nx+1,ny+1 to nx,ny
+! no output of ghost layer data
+! iso2d-related parts removed
+! 
+! 2300 2017-06-29 13:31:14Z raasch
 ! -host
 ! 
@@ -178,54 +183,16 @@
     CHARACTER (LEN=2)   ::  mask_char               !<
     CHARACTER (LEN=2)   ::  suffix                  !<
-    CHARACTER (LEN=20)  ::  xtext = 'time in s'     !<
     CHARACTER (LEN=30)  ::  filename                !<
     CHARACTER (LEN=80)  ::  rtext                   !<
-    CHARACTER (LEN=100) ::  batch_scp               !<
     CHARACTER (LEN=100) ::  line                    !<
-    CHARACTER (LEN=400) ::  command                 !<
 
     INTEGER(iwp) ::  av          !<
-    INTEGER(iwp) ::  numline = 1 !<
-    INTEGER(iwp) ::  cranz       !<
     INTEGER(iwp) ::  file_id     !<
     INTEGER(iwp) ::  i           !<
-    INTEGER(iwp) ::  iaddres     !<
     INTEGER(iwp) ::  ioerr       !< IOSTAT flag for IO-commands ( 0 = no error )
-    INTEGER(iwp) ::  iusern      !<
     INTEGER(iwp) ::  j           !<
     INTEGER(iwp) ::  k           !<
-    INTEGER(iwp) ::  legpos = 1  !<
-    INTEGER(iwp) ::  timodex = 1 !<
     
-    INTEGER(iwp), DIMENSION(10) ::  klist !<
-
-    LOGICAL ::  datleg = .TRUE.               !<
-    LOGICAL ::  get_filenames                 !<
-    LOGICAL ::  grid = .TRUE.                 !<
-    LOGICAL ::  netcdf_extend                 !<
-    LOGICAL ::  rand = .TRUE.                 !<
-    LOGICAL ::  swap = .TRUE.                 !<
-    LOGICAL ::  twoxa = .TRUE.                !<
-    LOGICAL ::  twoya = .TRUE.                !<
-
-    REAL(wp) ::  ansx = -999.999_wp !<
-    REAL(wp) ::  ansy = -999.999_wp !<
-    REAL(wp) ::  gwid = 0.1_wp      !<
-    REAL(wp) ::  rlegfak = 1.5_wp   !<
-    REAL(wp) ::  sizex = 250.0_wp   !<
-    REAL(wp) ::  sizey = 40.0_wp    !<
-    REAL(wp) ::  texfac = 1.5_wp    !<
-
-    REAL(wp), DIMENSION(:), ALLOCATABLE      ::  eta !<
-    REAL(wp), DIMENSION(:), ALLOCATABLE      ::  ho  !<
-    REAL(wp), DIMENSION(:), ALLOCATABLE      ::  hu  !<
- 
-
-
-    NAMELIST /RAHMEN/  numline, cranz, datleg, rtext, swap
-    NAMELIST /CROSS/   ansx, ansy, grid, gwid, klist, legpos,                  &
-                       rand, rlegfak, sizex, sizey, texfac,                    &
-                       timodex, twoxa, twoya, xtext
-                       
+    LOGICAL ::  netcdf_extend    !<
 
 !
@@ -422,22 +389,8 @@
           IF ( myid == 0  .AND.  .NOT. openfile(file_id)%opened_before )  THEN
 !
-!--          Output for combine_plot_fields
+!--          Write index bounds of total domain for combine_plot_fields
              IF ( data_output_2d_on_each_pe  .AND.  myid_char /= '' )  THEN
-                WRITE (21)  -nbgp, nx+nbgp, -nbgp, ny+nbgp    ! total array size
-                WRITE (21)   0, nx+1,  0, ny+1    ! output part
-             ENDIF
-!
-!--          Determine and write ISO2D coordiante header
-             ALLOCATE( eta(0:ny+1), ho(0:nx+1), hu(0:nx+1) )
-             hu = 0.0_wp
-             ho = (ny+1) * dy
-             DO  i = 1, ny
-                eta(i) = REAL( i ) / ( ny + 1.0_wp )
-             ENDDO
-             eta(0)    = 0.0_wp
-             eta(ny+1) = 1.0_wp
-
-             WRITE (21)  dx,eta,hu,ho
-             DEALLOCATE( eta, ho, hu )
+                WRITE (21)   0, nx,  0, ny
+             ENDIF
 
           ENDIF
@@ -455,22 +408,8 @@
           IF ( myid == 0  .AND.  .NOT. openfile(file_id)%opened_before )  THEN
 !
-!--          Output for combine_plot_fields
+!--          Write index bounds of total domain for combine_plot_fields
              IF ( data_output_2d_on_each_pe  .AND.  myid_char /= '' )  THEN
-                WRITE (22)  -nbgp, nx+nbgp, 0, nz+1    ! total array size
-                WRITE (22)   0, nx+1, 0, nz+1    ! output part
-             ENDIF
-!
-!--          Determine and write ISO2D coordinate header
-             ALLOCATE( eta(0:nz+1), ho(0:nx+1), hu(0:nx+1) )
-             hu = 0.0_wp
-             ho = zu(nz+1)
-             DO  i = 1, nz
-                eta(i) = REAL( zu(i) ) / zu(nz+1)
-             ENDDO
-             eta(0)    = 0.0_wp
-             eta(nz+1) = 1.0_wp
-
-             WRITE (22)  dx,eta,hu,ho
-             DEALLOCATE( eta, ho, hu )
+                WRITE (22)   0, nx, 0, nz+1    ! output part
+             ENDIF
 
           ENDIF
@@ -488,22 +427,8 @@
           IF ( myid == 0  .AND.  .NOT. openfile(file_id)%opened_before )  THEN
 !
-!--          Output for combine_plot_fields
+!--          Write index bounds of total domain for combine_plot_fields
              IF ( data_output_2d_on_each_pe  .AND.  myid_char /= '' )  THEN
-                WRITE (23)  -nbgp, ny+nbgp, 0, nz+1    ! total array size
-                WRITE (23)   0, ny+1, 0, nz+1    ! output part
-             ENDIF
-!
-!--          Determine and write ISO2D coordiante header
-             ALLOCATE( eta(0:nz+1), ho(0:ny+1), hu(0:ny+1) )
-             hu = 0.0_wp
-             ho = zu(nz+1)
-             DO  i = 1, nz
-                eta(i) = REAL( zu(i) ) / zu(nz+1)
-             ENDDO
-             eta(0)    = 0.0_wp
-             eta(nz+1) = 1.0_wp
-
-             WRITE (23)  dx,eta,hu,ho
-             DEALLOCATE( eta, ho, hu )
+                WRITE (23)   0, ny, 0, nz+1    ! output part
+             ENDIF
 
           ENDIF
@@ -514,11 +439,8 @@
                      FORM='UNFORMATTED' )
 !
-!--       Write coordinate file for AVS
+!--       Specifications for combine_plot_fields
           IF ( myid == 0 )  THEN
 #if defined( __parallel )
-!
-!--          Specifications for combine_plot_fields
-             WRITE ( 30 )  -nbgp,nx+nbgp,-nbgp,ny+nbgp
-             WRITE ( 30 )  0,nx+1,0,ny+1,0,nz_do3d
+             WRITE ( 30 )  0, nx, 0, ny, 0, nz_do3d
 #endif
           ENDIF
